import { Data } from "../Data";
import { GetUserToysItemData } from "./GetUserToysItemData";

/**
 * 道具使用
 */
export class GetUserToysListData extends Data {
    /**
     * 我的道具列表
     */
    public myToyList: GetUserToysItemData[];
    public update(result: any): void {
        if (!result) {
            return;
        }
        super.update(result);
        this.myToyList = result.data;
    }
}